This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 63671 - pax does not support long file names
pax does not support long file names
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: pax (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-04-17 02:45 EDT by vvs
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 16:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description vvs 2002-04-17 02:45:24 EDT
Description of Problem:

According to pax(1) manpage it should support pathnames of 100 characters in
length in tar mode and 250 in ustar mode. Actually it supports only pathnames
with maximum of 99 characters in length in both modes.

Version-Release number of selected component (if applicable):

pax-3.0-1

How Reproducible:

Always

Steps to Reproduce:
1. Create file with name that has 100 or greater characters in length
2. pax -wv -x tar -f test1.tar filename
3. pax -wv -x ustar -f test2.tar filename

Actual Results:

File name too long

Expected Results:

It should either add it to tar successfully or documentation should be corrected
(which I doubt)

Additional Information:
	
GNU tar successfully added file with name as long as 255 characters (on ext3
filesystem)
Comment 1 Karsten Hopp 2002-07-03 10:54:51 EDT
you can use filename with up to 99 chars (+ the trailing \0 in strings) 
pathnames (directory name + filename) can have up to 250 chars. 
I've fixed the manpage to make that more obvious
Comment 2 vvs 2002-07-03 16:25:37 EDT
You mean it's a standard behaviour? Ok, then. But that makes it incompatible
with GNU tar. I've got an impression that it could be a universal substitute for
tar and cpio and started to use it everywhere. Well, back to the tar then.
<Sigh> May I suggest to make this incompatibility clear too?

Note You need to log in before you can comment on or make changes to this bug.